Skip to content
Start here

Get certificate distribution by dimension

client.radar.ct.summary("CA" | "CA_OWNER" | "DURATION" | 11 moredimension, CTSummaryParams { ca, caOwner, dateEnd, 19 more } query?, RequestOptionsoptions?): CTSummaryResponse { meta, summary_0 }
GET/radar/ct/summary/{dimension}

Retrieves an aggregated summary of certificates grouped by the specified dimension.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
dimension: "CA" | "CA_OWNER" | "DURATION" | 11 more

Specifies the certificate attribute by which to group the results.

One of the following:
"CA"
"CA_OWNER"
"DURATION"
"ENTRY_TYPE"
"EXPIRATION_STATUS"
"HAS_IPS"
"HAS_WILDCARDS"
"LOG"
"LOG_API"
"LOG_OPERATOR"
"PUBLIC_KEY_ALGORITHM"
"SIGNATURE_ALGORITHM"
"TLD"
"VALIDATION_LEVEL"
query: CTSummaryParams { ca, caOwner, dateEnd, 19 more }
ca?: Array<string>

Filters results by certificate authority.

caOwner?: Array<string>

Filters results by certificate authority owner.

dateEnd?: Array<string>

End of the date range (inclusive).

dateRange?: Array<string>

Filters results by date range. For example, use 7d and 7dcontrol to compare this week with the previous week. Use this parameter or set specific start and end dates (dateStart and dateEnd parameters).

dateStart?: Array<string>

Start of the date range.

duration?: Array<"LTE_3D" | "GT_3D_LTE_7D" | "GT_7D_LTE_10D" | 4 more>

Filters results by certificate duration.

One of the following:
"LTE_3D"
"GT_3D_LTE_7D"
"GT_7D_LTE_10D"
"GT_10D_LTE_47D"
"GT_47D_LTE_100D"
"GT_100D_LTE_200D"
"GT_200D"
entryType?: Array<"PRECERTIFICATE" | "CERTIFICATE">

Filters results by entry type (certificate vs. pre-certificate).

One of the following:
"PRECERTIFICATE"
"CERTIFICATE"
expirationStatus?: Array<"EXPIRED" | "VALID">

Filters results by expiration status (expired vs. valid).

One of the following:
"EXPIRED"
"VALID"
format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
hasIps?: Array<boolean>

Filters results based on whether the certificates are bound to specific IP addresses.

hasWildcards?: Array<boolean>

Filters results based on whether the certificates contain wildcard domains.

limitPerGroup?: number

Limits the number of objects per group to the top items within the specified time range. When item count exceeds the limit, extra items appear grouped under an "other" category.

log?: Array<string>

Filters results by certificate log.

logApi?: Array<"RFC6962" | "STATIC">

Filters results by certificate log API (RFC6962 vs. static).

One of the following:
"RFC6962"
"STATIC"
logOperator?: Array<string>

Filters results by certificate log operator.

name?: Array<string>

Array of names used to label the series in the response.

normalization?: "RAW_VALUES" | "PERCENTAGE"

Normalization method applied to the results. Refer to Normalization methods.

One of the following:
"RAW_VALUES"
"PERCENTAGE"
publicKeyAlgorithm?: Array<"DSA" | "ECDSA" | "RSA">

Filters results by public key algorithm.

One of the following:
"DSA"
"ECDSA"
"RSA"
signatureAlgorithm?: Array<"DSA_SHA_1" | "DSA_SHA_256" | "ECDSA_SHA_1" | 12 more>

Filters results by signature algorithm.

One of the following:
"DSA_SHA_1"
"DSA_SHA_256"
"ECDSA_SHA_1"
"ECDSA_SHA_256"
"ECDSA_SHA_384"
"ECDSA_SHA_512"
"PSS_SHA_256"
"PSS_SHA_384"
"PSS_SHA_512"
"RSA_MD2"
"RSA_MD5"
"RSA_SHA_1"
"RSA_SHA_256"
"RSA_SHA_384"
"RSA_SHA_512"
tld?: Array<string>

Filters results by top-level domain.

uniqueEntries?: Array<"true" | "false">

Specifies whether to filter out duplicate certificates and pre-certificates. Set to true for unique entries only.

One of the following:
"true"
"false"
validationLevel?: Array<"DOMAIN" | "ORGANIZATION" | "EXTENDED">

Filters results by validation level.

One of the following:
"DOMAIN"
"ORGANIZATION"
"EXTENDED"
ReturnsExpand Collapse
CTSummaryResponse { meta, summary_0 }
meta: Meta { confidenceInfo, dateRange, lastUpdated, 2 more }

Metadata for the results.

confidenceInfo: ConfidenceInfo { annotations, level }
annotations: Array<Annotation>
dataSource: "ALL" | "AI_BOTS" | "AI_GATEWAY" | 22 more

Data source for annotations.

One of the following:
"ALL"
"AI_BOTS"
"AI_GATEWAY"
"BGP"
"BOTS"
"CONNECTION_ANOMALY"
"CT"
"DNS"
"DNS_MAGNITUDE"
"DNS_AS112"
"DOS"
"EMAIL_ROUTING"
"EMAIL_SECURITY"
"FW"
"FW_PG"
"HTTP"
"HTTP_CONTROL"
"HTTP_CRAWLER_REFERER"
"HTTP_ORIGINS"
"IQI"
"LEAKED_CREDENTIALS"
"NET"
"ROBOTS_TXT"
"SPEED"
"WORKERS_AI"
description: string
endDate: string
formatdate-time
eventType: "EVENT" | "GENERAL" | "OUTAGE" | 3 more

Event type for annotations.

One of the following:
"EVENT"
"GENERAL"
"OUTAGE"
"PARTIAL_PROJECTION"
"PIPELINE"
"TRAFFIC_ANOMALY"
isInstantaneous: boolean

Whether event is a single point in time or a time range.

linkedUrl: string
formaturi
startDate: string
formatdate-time
level: number

Provides an indication of how much confidence Cloudflare has in the data.

dateRange: Array<DateRange>
endTime: string

Adjusted end of date range.

formatdate-time
startTime: string

Adjusted start of date range.

formatdate-time
lastUpdated: string

Timestamp of the last dataset update.

formatdate-time
normalization: "PERCENTAGE" | "MIN0_MAX" | "MIN_MAX" | 5 more

Normalization method applied to the results. Refer to Normalization methods.

One of the following:
"PERCENTAGE"
"MIN0_MAX"
"MIN_MAX"
"RAW_VALUES"
"PERCENTAGE_CHANGE"
"ROLLING_AVERAGE"
"OVERLAPPED_PERCENTAGE"
"RATIO"
units: Array<Unit>

Measurement units for the results.

name: string
value: string
summary_0: Record<string, string> | UnionMember1 { rfc6962, static } | UnionMember2 { gt_121d, gt_16d_lte_31d, gt_31d_lte_91d, 3 more } | 5 more
One of the following:
Record<string, string>
UnionMember1 { rfc6962, static }
rfc6962: string
static: string
UnionMember2 { gt_121d, gt_16d_lte_31d, gt_31d_lte_91d, 3 more }
gt_121d: string
gt_16d_lte_31d: string
gt_31d_lte_91d: string
gt_3d_lte_16d: string
gt_91d_lte_121d: string
lte_3d: string
UnionMember3 { CERTIFICATE, PRECERTIFICATE }
CERTIFICATE: string
PRECERTIFICATE: string
UnionMember4 { EXPIRED, VALID }
EXPIRED: string
VALID: string
UnionMember5 { NEGATIVE, POSITIVE }
NEGATIVE: string
POSITIVE: string
UnionMember6 { DSA, ECDSA, RSA }
DSA: string
ECDSA: string
RSA: string
UnionMember7 { domain, extended, organization, unknown }
domain: string
extended: string
organization: string
unknown: string

Get certificate distribution by dimension

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.radar.ct.summary('CA');

console.log(response.meta);
{
  "result": {
    "meta": {
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "DigiCert": "10.274394",
      "GoDaddy": "8.381743",
      "Internet Security Research Group": "63.40249"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "DigiCert": "10.274394",
      "GoDaddy": "8.381743",
      "Internet Security Research Group": "63.40249"
    }
  },
  "success": true
}